:root {
  --gray: #777;
  --gray-background: #fafafa;
  --gray-border: #eee;
  --main-color: #222;
}

body {
  /*padding: 10px;*/
  height: 100%;
  font-family: Roboto, -apple-system, BlinkMacSystemFont, "Helvetica Neue",
    "Segoe UI", Oxygen, Ubuntu, Cantarell, "Open Sans", sans-serif;
  font-size: 15px;
  line-height: 1.4em;
  /*background-color: #f0e68c;*/
  /*background: linear-gradient(#f0e68c, #fcfae6);*/
}

body,
a {
  color: var(--main-color);
}

.main {
  /*width: 100vw;
  height: 100dvh;
  overflow: auto;
  display: flex;*/
}

.main_image {
  width: 250px;
  max-width: 100%;
  border-radius: 5px;
  margin: 10px auto;
  aspect-ratio: 1448 / 2172;
  background-image: url("/profile.jpg");
  background-image: url("/01318C72-8781-4880-AC9F-FC431DA7A5B9_1_102_o.jpeg");
  background-size: cover;
  background-position: center;
}

/*
.main:has(.main_left) .main_right {
  width: 50%;
  overflow: auto;
}*/

.main_right {
  padding: 20px;
}

@media (max-width: 1000px) {
  .main {
    flex-direction: column;
    height: auto;
    width: auto;
  }

  .main_left {
    width: auto;
    border: 0px solid blue;
    height: 100vw;
  }

  .main_right {
    border: 0px solid red;
    width: auto;
  }
}

a {
}

a:hover {
  text-decoration: none;
}

.header {
  /*text-align: center;*/
  font-size: 2rem;
  line-height: 1.3em;
}

.content {
  /*max-width: 500px;
  margin: 0 auto;*/
  margin-bottom: 20px;
}

h1 {
  font-size: 2.5rem;
  line-height: 1.3em;
  max-width: 600px;
  margin: 0 auto;
  padding: 0px 20px;
}

h2 {
  font-size: 2rem;
  line-height: 1.3em;
  margin-top: 2em;
}

.section_items {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 10px;
}

.section_item {
  /*border: 1px solid #eee;*/
  padding: 5px 10px;
  border-radius: 10px;
  text-decoration: none;
  background: var(--gray-background);
  border: 1px solid var(--gray-border);
  /*box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;*/
}

.section_item:hover {
  background-color: transparent;
  transition: all 200ms ease-out;
}

.section_item:active {
  border-color: black;
}

.section_item_name {
  font-weight: bold;
}

.note {
  max-width: 600px;
  margin: 0 auto;
  display: block;
  font-size: 1.1rem;
  line-height: 1.3em;
  padding: 10px 0px;
  margin: 10px auto;
  border-bottom: 1px solid var(--gray-border);
}

.note p {
  margin: 10px 0px;
}

.note p:last-of-type {
  margin-bottom: 0px;
}

.note_img {
  width: 100%;
  margin: 10px 0px;
}

.note h2 {
  margin: 0px;
  font-size: 1.2rem;
  line-height: 1.3em;
}

.note_date {
  margin-top: 10px;
  font-size: 0.8rem;
  line-height: 1.3em;
  color: var(--gray);
  text-align: right;
}

.note_date a {
  color: var(--gray);
  text-decoration: none;
}

.note_date a:hover {
  text-decoration: underline;
}
